<?php
// +----------------------------------------------------------------------+
// | setipng.php                                                          |
// |   draws a signature from user Seti@home statistics.                  |
// +----------------------------------------------------------------------+
// |        jPHPsetistats project                                         |
// | coded in PHP version 4 in 2004 by Joel Thieffry & the zeRezo group   |
// +----------------------------------------------------------------------+
// |  This source file is subject to the Lesser GNU Public Licence, which |
// | text can be found at http://www.gnu.org/licenses/lgpl.txt .          |
// +----------------------------------------------------------------------+
// | Authors: Joel Thieffry <jo@zerezo.com>                               |
// +----------------------------------------------------------------------+

  require("jPHPsetistats.class.php");

  $email = @$_REQUEST["email"];
  $imageFormat = StrToUpper(@$_REQUEST["format"]);

  $stats = new jPHPsetistats($email);
  switch ($imageFormat) {
    case 'GIF':
      $stats->showGIF();
    case 'JPG':
    case 'JPEG':
      $stats->showJPG();
    case 'WBMP':
      $stats->showWBMP();
    default:  // PNG is by default.
      $stats->showPNG();
  }
  $error = $stats->getError();
  if (!is_null($error))
    die($error);
?>